
:root{
    --animation-time: 6s;
}

h2{
    font-weight: bold;
}

* {
  	font-family: 'Montserrat', sans-serif;
}

html {
  	scroll-behavior: smooth;
}

body{
	overflow-x: hidden; 
}

.first-container{
	min-height: 100vh;
}

@media (max-width: 900px) {  
  	.first-container{
		min-height: unset;
	}
}

.center{
	display: flex;
	flex-direction: row;
	flex-wrap: nowrap;
	justify-content: center;
	align-items: center;
	align-content: center;
}

section {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    overflow: hidden;
    perspective: 1000px;
}

.pattern {
    position: relative;
    transform-style: preserve-3d;
}

.pattern .face {
    position: relative;
    width: 100%;
    height: 75vh;
    background-image: url('../img/wall.jpg');
    background-size: 200px 100px;
    animation: pan var(--animation-time) linear forwards;
    transition: all 2s;
    animation-delay: 1s;
    background-position: 10em;
}

.pattern .subwall{
    background-image: url(../img/subwall.png);
    position: absolute;
    width: 100%;
    top: 0;
    height: 75vh;
    background-size: 150em;
    transition: all 2s;
    background-repeat: no-repeat;
    animation: pan var(--animation-time) linear forwards;
    animation-delay: 1s;
    background-position: 10em;
}

.pattern .props{
	background-image: url(../img/props.png);
    position: absolute;
    width: 100%;
    top: 38vh;
    height: 60vh;
    background-size: 150em;
    transition: all 2s;
    background-repeat: no-repeat;
    transform-style: preserve-3d;
    transform: rotateX(17deg);
    transform-origin: top;
    animation: pan var(--animation-time) linear forwards ;
    animation-delay: 1s;
    background-position: 10em;
}

.start{
    position: fixed;
    width: 100%;
    top: 0vh;
    height: 100vh;
    animation: pan-div var(--animation-time) linear forwards;
    animation-delay: 1s;
    opacity: 1;
    background: white;
    right: -150em;
    box-shadow: -20px 0px 1000px 0px #000000;
}

.start .splide{
    width: 100vw;
}

@keyframes pan {
    0% {
        background-position: 10em;
    }
    100% {
        background-position: -150em;
    }
}

@keyframes pan-div {
    0% {
        right: -150em;
    }
    100% {
        right: 0em;
    }
}

.pattern .face.face2 {
    height: 100vh;
    transform-origin: top;
    transform-style: preserve-3d;
    transform: rotateX(70deg);
    background-size: 400px 400px;
    background-image: url(../img/floor.jpg);
}

.pattern .face1:before {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 125px;
    background-image: linear-gradient(0deg, #000000a3, transparent);
}

.pattern .face2:before {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 125px;
    background-image: linear-gradient(180deg, #000000a3, transparent);
}

.splide__pagination>li:nth-child(1)>button:before{
    content: 'Inicio';
}

.splide__pagination>li:nth-child(2)>button:before{
    content: 'Controlo de caixa';
}

.splide__pagination>li:nth-child(3)>button:before{
    content: 'Faturação';
}

.splide__pagination>li:nth-child(4)>button:before{
    content: 'Devoluções';
}

.splide__pagination>li:nth-child(5)>button:before{
    content: 'Guias';
}

.splide__pagination>li:nth-child(6)>button:before{
    content: 'Encomendas';
}

.splide__pagination>li:nth-child(7)>button:before{
    content: 'Consulta de artigos';
}

.splide__pagination>li:nth-child(8)>button:before{
    content: 'Contacte-nos!';
}

.splide__pagination>li>button:before{
    content: 'Controlo de caixa';
    position: absolute;
    margin-left: 5px;
    width: max-content;
    top: -5px;
    opacity: 0;
    transition: 0.5s;
    background: white;
    padding: 2px 5px;
}

.splide__pagination>li>button:hover:before{
    opacity: 1 !important;
}

.splide__pagination__page{
    position: relative;
}

.splide--ttb>.splide__pagination {
    right: auto;
    left: 4em;
}

.splide__pagination__page.is-active {
    background: #000;
}

.h-100{
    height: 100vh!important;
}

.splide__pagination__page.is-active:before {
    opacity: 1;
    animation: fadeIn linear 2s forwards;
    -webkit-animation: fadeIn linear 2s forwards;
    -moz-animation: fadeIn linear 2s forwards;
    -o-animation: fadeIn linear 2s forwards;
    -ms-animation: fadeIn linear 2s forwards;
}

.mouse {
    width: 50px;
    height: 90px;
    border: 3px solid #333;
    border-radius: 60px;
    position: relative;
    transform: scale(.5);
    margin: auto;
}

.mouse::before {
    content: '';
    width: 12px;
    height: 12px;
    position: absolute;
    top: 10px;
    left: 50%;
    transform: translateX(-50%);
    background-color: #333;
    border-radius: 50%;
    opacity: 1;
    animation: wheel 2s infinite;
    -webkit-animation: wheel 2s infinite;
}

@keyframes wheel {
    to {
        opacity: 0;
        top: 60px;
    }
}

@-webkit-keyframes wheel {
    to {
        opacity: 0;
        top: 60px;
    }
}

.scroll-title{
    position: relative;
    top: -20px;
}

.first-slide-img{
    width: 150%;
}

@media only screen and (max-width: 600px){
    .first-slide-img{
        width: 100%;
    }

    .splide--ttb>.splide__pagination {
        left: 1em;
    }

    .splide__pagination__page.is-active {
        transform: scale(1.1);
        font-weight: bold;
    }

    .splide__pagination__page {
        opacity: 1;
    }
}

@keyframes fadeIn {
  0% {opacity:1;}
  50% {opacity:1;}
  100% {opacity:0;}
}

@-moz-keyframes fadeIn {
  0% {opacity:1;}
  100% {opacity:0;}
}

@-webkit-keyframes fadeIn {
  0% {opacity:1;}
  100% {opacity:0;}
}

@-o-keyframes fadeIn {
  0% {opacity:1;}
  100% {opacity:0;}
}

@-ms-keyframes fadeIn {
  0% {opacity:1;}
  100% {opacity:0;}
}
